%global pypi_name recaptcha-client

%define version 1.0.6
%define python3 1
Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
A plugin for reCAPTCHA and reCAPTCHA Mailhide

%if %python3
%package -n python3-%{pypi_name}
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
A plugin for reCAPTCHA and reCAPTCHA Mailhide
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%apply_patches

cp -a . %{py3dir}

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/recaptcha_client*
%{python_sitelib}/recaptcha/client/

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/recaptcha_client*
%{python3_sitelib}/recaptcha/client/
%endif


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.6-2.mga4
+ Revision: 546138
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.0.6-1.mga4
+ Revision: 502218
- imported package python-recaptcha-client

